function OnWarpEnter() 
	SetMarker("cs\\Warp_0056.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0048.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0051.wp" , 0 , 0) 


        if CanGoTo051 then
		-- porte chapelle
		AnimationSetToEnd("elc1",false)
--		SetMarker("cs\\Warp_0051.wp" , 0 , 0) 
		if ETAT_DAY == "D2" and not SheetMoved_051 then
			-- corps dans la chapelle
			AnimationSetToStart("eqc1",false)
		elseif ETAT_DAY == "D2" and SheetMoved_051 then
			-- corps dans la chapelle
			AnimationSetToEnd("eqc1",false)
		end
	else
		-- porte chapelle
		AnimationSetToStart("elc1",false)
	end

--DAY4 
	if ETAT_DAY == "D4" then 
		-- chute armoire
		StartAnimationPart("eac1",39,40,-1,false)
		-- corde
		AnimationSetToEnd("ebc1",false)
		if JEAN_AT_LIBRARY_D4 then
			-- Chavigny assis 
			StartAnimationPart("ehc1",0,10,-1,false)
		end
	end

--DAY5 
	if ETAT_DAY == "D5" then 
		-- chute armoire
		StartAnimationPart("eac1",39,40,-1,false)
		-- corde
		AnimationSetToEnd("ebc1",false)
		if CanGoTo051 then
			if DEAD_UNCOVERED then
				-- corps dans la chapelle
				AnimationSetToEnd("eqc1",false)
			else
				-- corps dans la chapelle
				AnimationSetToStart("eqc1",false)
			end
		end
	end 
end

function OnWarpLeave()
end

function AskSeparation()
end

function OnAnswered(textId)
end

function OnDialogFinished(dialogName)
	if ETAT_DAY == "D4" then 

	end 
	if ETAT_DAY == "D5" then 

	end 
end

function OnDocumentClosed(documentId)

	if documentId == "Doc07" then
		DocMartaLu = true
		if ETAT_DAY == "J1" then
			DrawText("2193", "Arno2193.ogg", 0)
			DrawText("4094", "Arno4094.ogg", 0)
			DrawText("4711", "Arno4711.ogg", 0)
		end
	end

end

function OnAnimationFinished(objectName)
end



function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0056.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0048.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0051.wp" then 
		if CanGoTo051 then
			ChangeWarp(objectName)
		else
			DrawText("Ma1087", "Ma1087.ogg", 0)
		end
	end

--DAY4
	if ETAT_DAY == "D4" then 

	end 


--DAY5
	if ETAT_DAY == "D5" then 

	end 
end 